import { Entity, JoinColumn, ManyToOne, PrimaryGeneratedColumn } from 'typeorm';
import { BaseModel } from './base.entity';
import { BrandEntity } from './brand.entity';
import { BusinessTypeEntity } from './business_type.entity';

@Entity('brand_business_type')
export class BrandBusinessTypeEntity extends BaseModel {
  @PrimaryGeneratedColumn('identity', {
    type: 'bigint',
  })
  brand_business_type_id: string;

  @ManyToOne(() => BrandEntity, (brand) => brand.brand_id, {
    nullable: true,
  })
  @JoinColumn({
    name: 'brand_id',
  })
  brand: BrandEntity;

  @ManyToOne(() => BusinessTypeEntity, (business_type) => business_type.business_type_id, {
    nullable: true,
  })
  @JoinColumn({
    name: 'business_type_id',
  })
  business_type: BusinessTypeEntity;
}
