import { Column, Entity, JoinColumn, ManyToOne, PrimaryGeneratedColumn } from 'typeorm';
import { BaseModel } from './base.entity';
import { BrandEntity } from './brand.entity';

@Entity('business_type')
export class BusinessTypeEntity extends BaseModel {
  @PrimaryGeneratedColumn('identity', {
    type: 'bigint',
  })
  business_type_id: string;

  @Column({
    type: 'text',
    default: '',
    nullable: true,
  })
  name: string;

  @Column({
    type: 'int',
    default: 0,
    nullable: true,
  })
  is_hidden: number;

  @Column({
    type: 'text',
    default: '',
    nullable: true,
  })
  description: string;
}
