import { Column, Entity, JoinColumn, ManyToOne, PrimaryGeneratedColumn } from 'typeorm';
import { BaseModel } from './base.entity';
import { GroupEntity } from './group.entity';

@Entity('group_condition_join')
export class GroupConditionJoinEntity extends BaseModel {
  @PrimaryGeneratedColumn('identity', {
    type: 'bigint',
  })
  group_condition_join_id: string;

  @Column({
    type: 'varchar',
    default: '',
  })
  question: string;

  @Column({
    type: 'smallint',
    default: 0,
  })
  type: number;

  @Column({
    type: 'varchar',
    default: '',
  })
  answer: string;

  @ManyToOne(() => GroupEntity, (group) => group.group_id)
  @JoinColumn({
    name: 'group_id',
  })
  group: GroupEntity;
}
