import { Column, Entity, JoinColumn, ManyToOne, PrimaryGeneratedColumn } from 'typeorm';
import { BaseModel } from './base.entity';
import { UserEntity } from './user.entity';
import { PostEntity } from './post.entity';
import { BranchEntity } from './branch.entity';
import { BrandEntity } from './brand.entity';

@Entity('search_history')
export class SearchHistoryEntity extends BaseModel {
  @PrimaryGeneratedColumn('identity', {
    type: 'bigint',
  })
  search_history_id: string;

  @Column({
    nullable: true,
    type: 'text',
  })
  object_id: String;

  @Column({
    nullable: true,
    type: 'int',
  })
  object_type: Number;

  @Column({
    default: '',
    type: 'text',
  })
  key_search: String;

  @ManyToOne(() => UserEntity, (user) => user.user_id, { nullable: true })
  @JoinColumn({ name: 'user_id' })
  user: UserEntity;
}
