import { Column, Entity, JoinColumn, ManyToOne, PrimaryGeneratedColumn } from 'typeorm';
import { PostEntity } from './post.entity';
import { UserEntity } from './user.entity';
import { BaseModel } from './base.entity';

@Entity('reaction_post')
export class ReactionPostEntity extends BaseModel {
  @PrimaryGeneratedColumn('identity', {
    type: 'bigint',
  })
  reaction_post_id: string;

  @Column({
    type: 'int',
    default: 0,
    nullable: true,
  })
  reaction_type: number;

  @ManyToOne(() => PostEntity, (post) => post.post_id, { nullable: true })
  @JoinColumn({
    name: 'post_id',
  })
  post: PostEntity;

  @ManyToOne(() => UserEntity, (user) => user.user_id, { nullable: true })
  @JoinColumn({
    name: 'user_id',
  })
  user: UserEntity;
}
